##### basic_file::basic_file (2 of 10 overloads)

Construct a `basic_file` without opening it.

    template<
        typename ExecutionContext>
    basic_file(
        ExecutionContext & context,
        constraint_t< is_convertible< ExecutionContext &, execution_context & >::value, defaulted_constraint >  = defaulted_constraint());

This constructor initialises a file without opening it.

###### Parameters

context

  An execution context which provides the I/O executor that the file will use, by default, to dispatch handlers for any asynchronous operations performed on the file.